program ng0002; (* test program for raw keyboard mode *)

uses Vga, VgaRawKeyboard;

const VgaMODE = G320x200x256;

var Dummy : Integer;

begin
  Writeln('You should be able to exit this program by');
  Writeln('the following combination:');
  Writeln;
  Writeln('Press a key different from ''k'' and then press ''K''');
  Writeln('then again ''K'' or ''J'' and after that ''A'' and ''B''.');
  Writeln;
  Writeln('Press ENTER key...');
  ReadLn;

  Dummy:= VgaInit;
  Dummy:= VgaSetMode(VgaMODE);
  RawKeyboardInit;

  repeat until RawAnyKeyPressed;
  repeat until RawKeyPressed(SCANCODE_K);

  RawKeyboardFlush;

  repeat until RawKeyPressed(SCANCODE_K) or RawKeyPressed(SCANCODE_J);

  repeat until RawKeyPressed(SCANCODE_A) AND RawKeyPressed(SCANCODE_B);

  RawKeyboardClose;
  Dummy:= VgaSetMode(TEXT_MODE);
end.
